FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Fl_File_Browser Class Reference

The Fl_File_Browser widget displays a list of filenames, optionally with file-specific icons. More...

`#include <Fl_File_Browser.H>`

Inheritance diagram for Fl_File_Browser:

List of all members.

## Public Types
enum | { FILES, DIRECTORIES }
## Public Member Functions
int | filetype () const
| Sets or gets the file browser type, FILES or DIRECTORIES.
void | filetype (int t)
| Sets or gets the file browser type, FILES or DIRECTORIES.
void | filter (const char *pattern)
| Sets or gets the filename filter.
const char * | filter () const
| Sets or gets the filename filter.
| Fl_File_Browser (int, int, int, int, const char *=0)
| The constructor creates the Fl_File_Browser widget at the specified position and size.
uchar | iconsize () const
| Sets or gets the size of the icons.
void | iconsize (uchar s)
| Sets or gets the size of the icons.
int | load (const char *directory, Fl_File_Sort_F *sort=fl_numericsort)
| Loads the specified directory into the browser.
Fl_Fontsize | textsize () const
| Gets the default text size (in pixels) for the lines in the browser.
void | textsize (Fl_Fontsize s)
| Sets the default text size (in pixels) for the lines in the browser to `size`.

## Detailed Description

The Fl_File_Browser widget displays a list of filenames, optionally with file-specific icons.

## Constructor & Destructor Documentation

Fl_File_Browser::Fl_File_Browser | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

The constructor creates the Fl_File_Browser widget at the specified position and size.

The destructor destroys the widget and frees all memory that has been allocated.

## Member Function Documentation

int Fl_File_Browser::filetype | ( |  | ) | const`[inline]`

Sets or gets the file browser type, FILES or DIRECTORIES.

When set to FILES, both files and directories are shown. Otherwise only directories are shown.

void Fl_File_Browser::filetype | ( | int | t | ) | `[inline]`

Sets or gets the file browser type, FILES or DIRECTORIES.

When set to FILES, both files and directories are shown. Otherwise only directories are shown.

void Fl_File_Browser::filter | ( | const char * | pattern | ) |

Sets or gets the filename filter.

The pattern matching uses the fl_filename_match() function in FLTK.

const char* Fl_File_Browser::filter | ( |  | ) | const`[inline]`

Sets or gets the filename filter.

The pattern matching uses the fl_filename_match() function in FLTK.

uchar Fl_File_Browser::iconsize | ( |  | ) | const`[inline]`

Sets or gets the size of the icons.

The default size is 20 pixels.

void Fl_File_Browser::iconsize | ( | uchar | s | ) | `[inline]`

Sets or gets the size of the icons.

The default size is 20 pixels.

int Fl_File_Browser::load | ( | const char * | directory,
|  | Fl_File_Sort_F * | sort = `fl_numericsort`
| ) |  |

Loads the specified directory into the browser.

If icons have been loaded then the correct icon is associated with each file in the list.

The sort argument specifies a sort function to be used with fl_filename_list().

The documentation for this class was generated from the following files:

- Fl_File_Browser.H
- Fl_File_Browser.cxx